%% figure 3
b1 = 25;
b2 = 125;

figure(3)
subplot(1,2,1)
x  = grid.b(b1:b2);
y1 = Grid.Qb(9,b1:b2);
y2 = Grid.Qb(13,b1:b2);
plot(x,y1,x,y2);
xlabel('asset');
ylabel('bond price');
legend({'y_l = 0.955*E(y)','y_h=1.047*E(y)'},'Location','northwest')
title('Bond price schedule: q')

b1 = 115;
b2 = 130;
b3 = 115;
b4 = 130;

subplot(1,2,2)
x1 = grid.b(b1:b2);
y1 = 1./Grid.Qb(11,b1:b2)-1;
x2 = grid.b(b3:b4);
y2 = 1./Grid.Qb(13,b3:b4)-1;
plot(x1,y1,x2,y2);
xlabel('asset');
ylabel('interest rate');
legend({'y_l = E(y)','y_h=1.05*E(y)'},'Location','northeast')
title('Equilibrium interest rate: 1/q-1')
sgtitle('Figure 3: Bond Price and Assets')


