%% figure 4
b1 = 100;
b2 = 200;

figure(4)
subplot(1,2,1)
x  = grid.b(b1:b2);
y1 = Grid.Bprime(9,b1:b2);
y2 = Grid.Bprime(13,b1:b2);
plot(x,y1,x,y2);
xlabel('asset');
ylabel('saving');
legend({'y_l = 0.955*E(y)','y_h=1.047*E(y)'},'Location','northwest')
title('Saving function: B prime')

b1 = 1;
b2 = Par.ngridb;
subplot(1,2,2)
x  = grid.b(b1:b2);
y1 = Grid.Vo(9,b1:b2);
y2 = Grid.Vo(13,b1:b2);
plot(x,y1,x,y2);
xlabel('asset');
ylabel('value');
legend({'y_l = 0.955*E(y)','y_h=1.047*E(y)'},'Location','northwest')
title('Value function: Vo')
sgtitle('Figure 4: Saving and Value Functions')