% Part 1:  set up parameters

% model parameter
Par.sigma  = 2;
Par.rho    = 0.945;
Par.eta    = 0.025;
Par.r      = 0.017;
Par.beta   = 0.953;
Par.theta  = 0.282;
Par.yhat   = 0.969;

% grid parameter
Par.ngridy = 21;

Par.bmin   = -0.45;
Par.bmax   = 0.45;
Par.ngridb = 251;      % ensure 0 is on the grid

% discretize AR(1) using Tauchen method
        % s = mu + rho*s(-1) + eps(t), where eps ~ N(0,Par.sig^2)
Par.mu     = 0.00;       % drift
Par.rho    = 0.945;      % persistence
Par.sig    = 0.025;      % volatility